Resume warmup
Resume a paused warm-up ramp from its held stage. Only a warming_up IP can be resumed; resuming a ramp that is not paused returns the IP unchanged.
POST
/
email
/
dedicated_ips
/
{id}
/
actions
/
resume_warmup
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.email.dedicatedIps.actions.resumeWarmup('id');
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.email.dedicated_ips.actions.resume_warmup(
"id",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Email.DedicatedIps.Actions.ResumeWarmup(
context.TODO(),
"id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var response = client.email().dedicatedIps().actions().resumeWarmup("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.email.dedicated_ips.actions.resume_warmup("id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->email->dedicatedIps->actions->resumeWarmup(
'id',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx email:dedicated-ips:actions resume-warmup \
--api-key 'My API Key' \
--id idcurl --request POST \
--url https://api.telnyx.com/v2/email/dedicated_ips/{id}/actions/resume_warmup \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "6a7f9a30-1234-4b5c-8d9e-0f1a2b3c4d5e",
"record_type": "dedicated_ip",
"ip_address": "64.16.239.170",
"ip_version": "ipv4",
"pool_id": "9b1c4d70-abcd-4e5f-8a9b-0c1d2e3f4a5b",
"region": "ewr-nj1",
"status": "warming_up",
"warmup": {
"started_at": "2026-10-14T20:36:50.000000Z",
"progress": 25,
"daily_cap": 32000,
"paused": false,
"paused_at": null,
"today": {
"day": "2026-10-24",
"cap": 32000,
"granted": 1250,
"remaining": 30750
}
},
"billing": {
"status": "active",
"charged": true
},
"provisioning_status": "dns_confirmed",
"provisioning": {
"dns_status": "dns_confirmed",
"ptr_request_state": "confirmed",
"ptr_request_pr_url": null,
"checklist": {
"ptr_requested": true,
"ptr_authored": false,
"ptr_merged": true,
"forward_confirmed": true
}
},
"ptr_hostname": "mta-64-16-239-170.msgtelnyx.com",
"dns_confirmed_at": "2026-10-14T20:12:41.552310Z",
"quarantine_until": null,
"released_at": null,
"suspension_reason": null,
"created_at": "2026-09-30T02:03:09.474123Z",
"updated_at": "2026-10-24T21:30:00.000000Z"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
}
}
]
}{
"errors": [
{
"code": "10001",
"title": "Not Found",
"detail": "The requested dedicated IP was not found"
}
]
}{
"errors": [
{
"code": "40901",
"title": "Conflict",
"detail": "warmup actions are only available for a dedicated IP in warming_up status (suspended IPs are operator-held and cannot be resumed by customer action)"
}
]
}Authorizations
Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.email.dedicatedIps.actions.resumeWarmup('id');
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.email.dedicated_ips.actions.resume_warmup(
"id",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Email.DedicatedIps.Actions.ResumeWarmup(
context.TODO(),
"id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var response = client.email().dedicatedIps().actions().resumeWarmup("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.email.dedicated_ips.actions.resume_warmup("id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->email->dedicatedIps->actions->resumeWarmup(
'id',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx email:dedicated-ips:actions resume-warmup \
--api-key 'My API Key' \
--id idcurl --request POST \
--url https://api.telnyx.com/v2/email/dedicated_ips/{id}/actions/resume_warmup \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "6a7f9a30-1234-4b5c-8d9e-0f1a2b3c4d5e",
"record_type": "dedicated_ip",
"ip_address": "64.16.239.170",
"ip_version": "ipv4",
"pool_id": "9b1c4d70-abcd-4e5f-8a9b-0c1d2e3f4a5b",
"region": "ewr-nj1",
"status": "warming_up",
"warmup": {
"started_at": "2026-10-14T20:36:50.000000Z",
"progress": 25,
"daily_cap": 32000,
"paused": false,
"paused_at": null,
"today": {
"day": "2026-10-24",
"cap": 32000,
"granted": 1250,
"remaining": 30750
}
},
"billing": {
"status": "active",
"charged": true
},
"provisioning_status": "dns_confirmed",
"provisioning": {
"dns_status": "dns_confirmed",
"ptr_request_state": "confirmed",
"ptr_request_pr_url": null,
"checklist": {
"ptr_requested": true,
"ptr_authored": false,
"ptr_merged": true,
"forward_confirmed": true
}
},
"ptr_hostname": "mta-64-16-239-170.msgtelnyx.com",
"dns_confirmed_at": "2026-10-14T20:12:41.552310Z",
"quarantine_until": null,
"released_at": null,
"suspension_reason": null,
"created_at": "2026-09-30T02:03:09.474123Z",
"updated_at": "2026-10-24T21:30:00.000000Z"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
}
}
]
}{
"errors": [
{
"code": "10001",
"title": "Not Found",
"detail": "The requested dedicated IP was not found"
}
]
}{
"errors": [
{
"code": "40901",
"title": "Conflict",
"detail": "warmup actions are only available for a dedicated IP in warming_up status (suspended IPs are operator-held and cannot be resumed by customer action)"
}
]
}